package dev.fitko.fitconnect.api.domain.model.submission;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.UUID;

@Data
@NoArgsConstructor
public class SubmitSubmission {

  @JsonIgnore
  private UUID submissionId;

  @JsonProperty("encryptedMetadata")
  private String encryptedMetadata;

  @JsonProperty("encryptedData")
  private String encryptedData;
}

